package libViewer;

import java.awt.*;

public class ElementData {

  int spine_width;
  int spine_height;
  int Key;

  String title;
  String creator;
  String subject;
  String description;
  String publisher;
  String contributor;
  String date;
  String type;
  String format;
  String identifier;
  String source;
  String language;
  String relation;
  String coverage;
  String rights;
  String domain;
  int    page_size;
  int    byte_size;
  int    xpos;
  int    ypos;
  Float  zpos;

  Image    Logo;                // Image am Buchrcken
  boolean  Logo_available;

  String   datatype;            // Datentyp des Elements (hardcover, paperback,...)

  int      dust_level;          // entsteht aus lastReferenced

  Color    surface_color;       // Oberflchenfarbe
  Color    surface_color2;      // Oberflchenfarbe der Seiten (Oberteil)
  Color    spine_color;         // Farbe des Buchrckens
  Color    title_color;         // Farbe des Buchtitels
  Color    creator_color;       // Farbe des Buchautors

  boolean  wellthumbed;         // wenn Buch abgegriffen ist
  boolean  highlighting;

  int      bookmark_number;     // Anzahl der Bookmarks
  String[] bookmark_types;      // Array aller Bookmarks mit ihren Arten

  public ElementData() {

    Logo_available        = false;
    wellthumbed           = false;
    dust_level            = 0;
    highlighting          = false;
    datatype              = "standard";

    title = "";
    creator = "";
    subject = "";
    description = "";
    publisher = "";
    contributor = "";
    date = "";
    type = "";
    format = "";
    identifier = "";
    source = "";
    language = "";
    relation = "";
    coverage = "";
    rights = "";
    domain = "";
    page_size = 0;
    byte_size = 0;
    xpos = -1;
    ypos = -1;
    zpos = Float.valueOf("0");

  }

}