package libViewer;

import java.awt.*;
import java.awt.image.*;

public class paperback extends Book {

public paperback (ElementData $elementdata) {

elementdata = $elementdata;
width  = $elementdata.spine_width;
height = $elementdata.spine_height;
Key = $elementdata.Key;

}

//------------------------------------------------------------------------------
// Draw Spine
//------------------------------------------------------------------------------
public void paint (Graphics g) {

  // 1. Farbe fr Buchrcken setzen
  g.setColor(elementdata.spine_color);

  // 2. Buchrcken zeichnen
  g.fillRect(0,0,width,height);

  if (Main.zoom_factor == 1) {

  // 3. Logo einfgen (wenn vorhanden)
  if (elementdata.Logo_available)
      g.drawImage(elementdata.Logo,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);

  // 4. Image fr Titel & Creator einfgen
  g.drawImage(TitleArea,(int)(width-Settings.TEMPLATE_WIDTH) / 2,8,this);

  // 5. Wenn flag wellthumbed gesetzt dann fge Images fuer "abgegriffen" ein
  if (elementdata.wellthumbed) DrawWellthumbed();

  // 6. Draw Dust-Level
  DrawDust (elementdata.dust_level);

  }

  // 7. Draw Highlighting
  if (elementdata.highlighting) DrawHighlighting (elementdata.spine_color);

}
//------------------------------------------------------------------------------

}