package libViewer;

import java.awt.*;
import java.awt.image.*;

public class media extends Book {

public media (ElementData $elementdata) {

elementdata = $elementdata;
width  = $elementdata.spine_width;
height = $elementdata.spine_height;
Key = $elementdata.Key;

}

//------------------------------------------------------------------------------
// Draw Spine
//------------------------------------------------------------------------------
public void paint (Graphics g) {

  // 1. Farbe fr Buchrcken setzen
  g.setColor(elementdata.spine_color);

  // 2. Buchrcken zeichnen
  g.fillRect(0,0,width,height);

  if (Main.zoom_factor == 1) {

  // 3. Template fr Publisher einfgen (wenn vorhanden)
  if (elementdata.datatype.compareTo("video") == 0)
      g.drawImage(Main.video_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  if (elementdata.datatype.compareTo("audio") == 0)
      g.drawImage(Main.audio_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  if (elementdata.datatype.compareTo("sublibrary") == 0)
      g.drawImage(Main.sublibrary_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  if (elementdata.datatype.compareTo("software") == 0)
      g.drawImage(Main.software_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  if (elementdata.datatype.compareTo("other") == 0)
      g.drawImage(Main.other_template,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
               height-Settings.TEMPLATE_HEIGHT,this);
  if (elementdata.datatype.compareTo("html-doc") == 0)
      if (elementdata.Logo_available) {
          g.drawImage(elementdata.Logo,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
                      height-Settings.TEMPLATE_HEIGHT,this);
          }
      else {
           g.drawImage(Main.welt,(int)(width-Settings.TEMPLATE_WIDTH) / 2,
           height-Settings.TEMPLATE_HEIGHT,this);
           }

  // 4. Image fr Titel & Creator einfgen
  g.drawImage(TitleArea,(int)(width-Settings.TEMPLATE_WIDTH) / 2,8,this);

  // 5. Wenn flag wellthumbed gesetzt dann fge Images fuer "abgegriffen" ein
  if (elementdata.wellthumbed) DrawWellthumbed();

  // 6. Draw Dust-Level
  DrawDust (elementdata.dust_level);

  }

  // 7. Draw Highlighting
  if (elementdata.highlighting) DrawHighlighting (elementdata.spine_color);

}
//------------------------------------------------------------------------------

}
